Bug 43774 - Appearing does not trigger for the first time for Tabpages in Android
Summary: Appearing does not trigger for the first time for Tabpages in Android
Status: VERIFIED FIXED
Alias: None
Product: Forms
Classification: Xamarin
Component: Android (show other bugs)
Version: 2.3.1
Hardware: PC Mac OS
: Normal normal
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2016-08-26 06:44 UTC by Prashant [MSFT]
Modified: 2016-09-21 18:58 UTC (History)
7 users (show)

See Also:
Tags: ac
Is this bug a regression?: ---
Last known good build:


Attachments
Testcase (44.69 KB, application/zip)
2016-08-26 06:44 UTC, Prashant [MSFT]
Details

Description Prashant [MSFT] 2016-08-26 06:44:15 UTC
Created attachment 17217 [details]
Testcase

The Appearing method does not trigger for the first time when we switch the tabs.

#Steps to reproduce

1. Create a Forms app with Tabpage with two tabs
2. Wire `Appearing` event for tab pages
3. Run the app
Appearing event is triggered for both tab pages for the first time
4. Switch to tab two, Appearing event for tab two is not trigger

When the app load we cannot determine what tab is visible, note that this happens only on Android
Comment 1 Marius Kahmen 2016-08-29 15:57:58 UTC
I can confirm this for XForms 2.3.1.114

Here's a small sample:
https://github.com/MKahmen/TabbedPageTest
Comment 2 adrianknight89 2016-09-12 18:41:18 UTC
Referencing: https://bugzilla.xamarin.com/show_bug.cgi?id=44211
Comment 3 Paul DiPietro [MSFT] 2016-09-13 16:54:17 UTC
This should be fixed for an upcoming version; the other issue involving Appearing firing twice does still exist.
Comment 4 Parmendra Kumar 2016-09-21 18:58:56 UTC
I have checked this issue with Forms version 2.3.3.152-pre2 and observed that this issue has been fixed.

Hence closing this issue.

Thanks.

Note You need to log in before you can comment on or make changes to this bug.